Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.voice-agents.miraiminds.co/v2/call/web \ --header 'Content-Type: application/json' \ --header 'workspace: <workspace>' \ --header 'x-private-key: <api-key>' \ --header 'x-public-key: <api-key>' \ --data ' { "assistant": "<string>" } '
import requests url = "https://api.voice-agents.miraiminds.co/v2/call/web" payload = { "assistant": "<string>" } headers = { "x-public-key": "<api-key>", "x-private-key": "<api-key>", "workspace": "<workspace>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
const url = 'https://api.voice-agents.miraiminds.co/v2/call/web'; const options = { method: 'POST', headers: { 'x-public-key': '<api-key>', 'x-private-key': '<api-key>', workspace: '<workspace>', 'Content-Type': 'application/json' }, body: JSON.stringify({assistant: '<string>'}) }; fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "success": true, "token": "<string>", "error": {} }
Assistant ID
Optional system prompt to override the default assistant prompt.
Payload structure depends on the assistant variant.
Show child attributes
Web Call Initiated
LiveKit token for joining the web call.